## com.baidubce.services.media.model
Class GetPresetResponse

    java.lang.Object
      com.baidubce.model.AbstractBceResponse
          com.baidubce.services.media.model.GetPresetResponse

    public class GetPresetResponse

extends AbstractBceResponse

Field Summary

Fields inherited from class com.baidubce.model.AbstractBceResponse
`metadata`

Constructor Summary
`GetPresetResponse()`

Method Summary
`Audio` `getAudio()` 音频输出信息
`Clip` `getClip()` 片段截取设置
`String` `getContainer()` 音视频文件的容器(MP4, FLV, MOV, MP3, M4A)
`String` `getCreatedTime()` 模板创建的时间(UTC格式)
`String` `getDescription()` preset详情描述
`Encryption` `getEncryption()` HLS加解密信息的集合
`String` `getPresetName()` preset名称
`String` `getState()` 模板状态(ACTIVE/INACTIVE)
`Boolean` `getTransmux()` 是否仅执行容器格式转换
`Video` `getVideo()` 视频输出信息的集合
`String` `getWatermarkId()`
`void` `setAudio(Audio audio)`
`void` `setClip(Clip clip)`
`void` `setContainer(String container)`
`void` `setCreatedTime(String createdTime)`
`void` `setDescription(String description)`
`void` `setEncryption(Encryption encryption)`
`void` `setPresetName(String presetName)`
`void` `setState(String state)`
`void` `setTransmux(Boolean transmux)`
`void` `setVideo(Video video)`
`void` `setWatermarkId(String watermarkId)`
`String` `toString()`

Methods inherited from class com.baidubce.model.AbstractBceResponse
`getMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetPresetResponse

    public GetPresetResponse()

Method Detail

### getPresetName

    public String getPresetName()

  preset名称

### setPresetName

    public void setPresetName(String presetName)

### getDescription

    public String getDescription()

  preset详情描述

### setDescription

    public void setDescription(String description)

### getContainer

    public String getContainer()

  音视频文件的容器(MP4, FLV, MOV, MP3, M4A)

### setContainer

    public void setContainer(String container)

### getTransmux

    public Boolean getTransmux()

  是否仅执行容器格式转换

### setTransmux

    public void setTransmux(Boolean transmux)

### getClip

    public Clip getClip()

  片段截取设置

### setClip

    public void setClip(Clip clip)

### getAudio

    public Audio getAudio()

  音频输出信息

### setAudio

    public void setAudio(Audio audio)

### getVideo

    public Video getVideo()

  视频输出信息的集合

### setVideo

    public void setVideo(Video video)

### getEncryption

    public Encryption getEncryption()

  HLS加解密信息的集合

### setEncryption

    public void setEncryption(Encryption encryption)

### getState

    public String getState()

  模板状态(ACTIVE/INACTIVE)

### setState

    public void setState(String state)

### getCreatedTime

    public String getCreatedTime()

  模板创建的时间(UTC格式)

### setCreatedTime

    public void setCreatedTime(String createdTime)

### getWatermarkId

    public String getWatermarkId()

### setWatermarkId

    public void setWatermarkId(String watermarkId)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.